#!/usr/bin/env node
import { Range, VersionedTextDocumentIdentifier } from 'vscode-languageserver/node';
export interface LeanFileProgressProcessingInfo {
    /** Range which is still being processed */
    range: Range;
}
export interface LeanFileProgressParams {
    /** The text document to which this progress notification applies. */
    textDocument: VersionedTextDocumentIdentifier;
    /**
     * Array containing the parts of the file which are still being processed.
     * The array should be empty if and only if the server is finished processing.
     */
    processing: LeanFileProgressProcessingInfo[];
}
